INTERFACE
SUBROUTINE AER_OPT_PROP_TL&
 & ( KDLEN , KLEN , KMXCOUNT,&
 & PQF, PTF, PPRESH, PPRESF,&
 & YDGEMSPROF,&
 & PAEREXT,PAEROM, PAERASY,&
 & PQF5, PTF5, PPRESH5, PPRESF5,&
 & YDGEMSPROF5,&
 & PAEREXT5,PAEROM5, PAERASY5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE YOMDB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN, KMXCOUNT
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF(KDLEN,0:NFLEVG)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF(KDLEN,NGEMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAEREXT(KDLEN,NFLEVG,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAEROM(KDLEN,NFLEVG,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERASY(KDLEN,NFLEVG,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF5(KDLEN,0:NFLEVG)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF5(KDLEN,NGEMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAEREXT5(KDLEN,NFLEVG,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAEROM5(KDLEN,NFLEVG,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERASY5(KDLEN,NFLEVG,KMXCOUNT)
INTEGER(KIND=JPIM), PARAMETER :: IWAVLMX=7
INTEGER(KIND=JPIM), PARAMETER :: JTABMX=12
END SUBROUTINE AER_OPT_PROP_TL
END INTERFACE
